| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
GaudiPython.GaudiAlgs.TupleAlgo Class Reference

The base class for easy manupulations with N-Tuples. More...

Inheritance diagram for GaudiPython.GaudiAlgs.TupleAlgo:
[legend]
Collaboration diagram for GaudiPython.GaudiAlgs.TupleAlgo:
[legend]

## Additional Inherited Members
Public Member Functions inherited from GaudiPython.Bindings.iAlgorithm
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)
Static Public Attributes inherited from GaudiPython.Bindings.iAlgorithm
| initialize = lambdaself:self.__call_interface_method__("_ialg","initialize")
| start = lambdaself:self.__call_interface_method__("_ialg","start")
| execute = lambdaself:self.__call_interface_method__("_ialg","execute")
| stop = lambdaself:self.__call_interface_method__("_ialg","stop")
| finalize = lambdaself:self.__call_interface_method__("_ialg","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_ialg","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_ialg","restart")
| sysInitialize = lambdaself:self.__call_interface_method__("_ialg","sysInitialize")
| sysStart = lambdaself:self.__call_interface_method__("_ialg","sysStart")
| sysExecute = lambdaself:self.__call_interface_method__("_ialg","sysExecute")
| sysStop = lambdaself:self.__call_interface_method__("_ialg","sysStop")
| sysFinalize = lambdaself:self.__call_interface_method__("_ialg","sysFinalize")
| sysReinitialize = lambdaself:self.__call_interface_method__("_ialg","sysReinitialize")
| sysRestart = lambdaself:self.__call_interface_method__("_ialg","sysRestart")

## Detailed Description

The base class for easy manupulations with N-Tuples.

    *******************************************************************************
    *                                                * 'Physisics do not like it, *
    *                                                *  physisics do not need it, *
    *                                                *  physisics do not use  it' *
    *                                                * ****************************
    *  Usage:                                                                     *
    *                                                                             *
    *  from GaudiPython.GaudiAlgs import TupleAlgo, SUCCESS                       *
    *                                                                             *
    *  class MyClass(TupleAlgo) :                                                 *
    *       ' My specific Algorithm, derived from TupleAlgo base class '          *
    *       def __init__( self , name , **args ) :                                *
    *            'Constructor from algorithm instance name & parameters'          *
    *             #invoke the constructor of base class                           *
    *             TupleAlgo.__init__(self , name , **args )                       *
    *                                                                             *
    *       def execute ( self ) :                                                *
    *            'Major method (from IAlgorithm interface)'                       *
    *                                                                             *
    *           # get some data from Transient Event Store                        *
    *           tracks = self.get('/Event/Rec/Tracks')                            *
    *                                                                             *
    *           tup = self.nTuple('My N-Tuple')                                   *
    *                                                                             *
    *           for track in tracks :                                             *
    *                                                                             *
    *                 pt   = track.pt   ()                                        *
    *                 p    = track.p    ()                                        *
    *                 chi2 = track.chi2 ()                                        *
    *                                                                             *
    *                 #fill N-tuple:                                              *
    *                 tup.column ( 'pt'   ,  pt   )                               *
    *                 tup.column ( 'p'    ,  p    )                               *
    *                 tup.column ( 'chi2' ,  chi2 )                               *
    *                 #commit the row                                             *
    *                 tup.write  ()                                               *
    *                                                                             *
    *           return SUCCESS                                                    *
    *                                                                             *
    *******************************************************************************

Usage:

1 from GaudiPython.GaudiAlgs import TupleAlgo, SUCCESS
2
3 class MyClass(TupleAlgo) :
4 ' My specific Algorithm, derived from TupleAlgo base class '
5 def __init__( self , name , **args ) :
6 'Constructor from algorithm instance name& parameters'
7 #invoke the constructor of base class
8 TupleAlgo.__init__(self , name , **args )
9
10 def execute ( self ) :
11 'Major method (from IAlgorithm interface)'
12
13 # get some data from Transient Event Store
14 tracks = self.get('/Event/Rec/Tracks')
15
16 tup = self.nTuple('My N-Tuple')
17
18 for track in tracks :
19
20 pt = track.pt ()
21 p = track.p ()
22 chi2 = track.chi2 ()
23
24 #fill N-tuple:
25 tup.column ( 'pt' , pt )
26 tup.column ( 'p' , p )
27 tup.column ( 'chi2' , chi2 )
28 #commit the row
29 tup.write ()
30
31 return SUCCESS

See also
  GaudiTupleAlg

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2006-11-26

Definition at line 788 of file GaudiAlgs.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/GaudiAlgs.py